### Signal

# WebKit WebView::ready-to-show

unstable since: 6.0

#### Declaration

    void
    ready_to_show (
      WebKitWebView* self,
      gpointer user_data
    )

#### Description [src]

Emitted after `WebKitWebView::create` on the newly created `WebKitWebView` when it should be displayed to the user. When this signal is emitted all the information about how the window should look, including size, position, whether the location, status and scrollbars should be displayed, is already set on the `WebKitWindowProperties` of `web_view`. See also webkit_web_view_get_window_properties().

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 6.0